const jwt = require("jsonwebtoken");
require("dotenv").config({ path: __dirname + "/./../../../.env" });

module.exports = {
  async genereteToken(user) {
    var documento = user.documento.split(" ");
    return jwt.sign(
      {
        id: user.id,
        razao_social: user.razao_social,
        auth: user.auth,
        email: user.email,
        role: user.role,
        celular: user.celular,
        documento: documento[0],
        accessUser: user.accessUser,
      },
      `${process.env.JWT_SECRET}`,
      { expiresIn: "14d" }
    );
  },
};
